
{%- set global_ns = namespace(description="globals") -%}

{#------------------------------------------------------------------#}
{#- all globals relevant to dmp.dataset -#}
{#------------------------------------------------------------------#}
{#- name_list: collects all dataset names for the whole questionnaire -#}
{#- map_name_titles: maps a dataset name to a list of dataset titles -#}
{#-                  formed by as name ~ "-" ~ type -#}
{#- dataset_id_item_path: the global is required in order to track -#}
{#-                       which dataset.dataset_id object is concerned -#}
{#-                       by item answers  -#}
{#- dataset_id_types: allowed values for a controlled vocabulary term -#}
{#- elsi_names: which dataset names are concerned by one answer block -#}
{#-             in ELSI chapter -#}

{%- set                   global_ns.dataset_vars = {
"name_list" : [],
"map_name_titles" : [],

"data_collection_names" : [],
"distribution_format_physical_site_titles" : [],

"data_documentation_names" : [],

"data_processing_volume_names" : [],

"distribution_site_item" : { "dataset_name" : none, "site_title" : none },

"data_processing_names" : [],
"data_processing_physical_site_titles" : [],
"data_processing_closed_sharing_distribution_items" : [],
"data_processing_shared_sharing_distribution_items" : [],
"data_processing_open_sharing_distribution_items" : [],

"data_storage_names" : [],
"data_storage_physical_site_titles" : [],
"data_storage_closed_sharing_distribution_items" : [],
"data_storage_shared_sharing_distribution_items" : [],
"data_storage_open_sharing_distribution_items" : [],

"elsi_names" : [],
"bioimagery_titles" : [],
"cytometry_titles" : [],
"genomics_titles" : [],
"metabolomics_titles" : [],
"proteomics_titles" : [],
"other_data_titles" : [],

"bioimagery_root" : none,
"cytometry_root" : none,
"genomics_root" : none,
"metabolomics_root" : none,
"proteomics_root" : none,
"other_data_root" : none,
"distribution_format_root" : none,
"data_processing_root" : none,
"data_processing_physical_sites_root" : none,
"data_processing_sharing_root" : none,
"data_storage_root" : none,
"data_storage_sharing_root" : none,
"data_storage_physical_sites_root" : none,
"data_elsi_root" : none,
}
-%}

{%- set                   global_ns.distribution_vars = {
"infrastructure_title" : none,
"infrastructure_url" : none,
"infrastructure_site" : { "title" : none, "url" : none },
"infrastructure_sites" : [],
}
-%}

{%- set global_ns.main_vars = {
"rda_mapping" : false,
"opidor_mapping": false,
"child_of_relations" : [],
"dmp_being_built" : none,
"tree" : none
}
-%}

{#- because I don't know where to find this info -#}
{#- as far as I can see, it is not in document context -#}
{#-  https://guide.ds-wizard.org/en/latest/_images/document-context.svg -#}
{%- set global_ns.hardcoded_vars = {
"language" : "fra",
}
-%}
